
************************************Table 17************************************************************************************************

use "$WORKING_ANALYSIS\descstats_trustshock.dta", clear



	eststo sumQE0:  estpost sum age years_educ married ///
	 hh_size employed roster_regular_inc back_cons back_cons_hh roster_position /// 
	 rooms_hh  toilet_hh2 elect_hh  tenure_hh  ///
	 borrow_mf_bank_amount sav_amount_1_saving_form ///
	trust_nwtf trust_lender risk_avoid betray_avoid advantage_avoid revenge offend meet_fri_neig_rel bank_dist ///
	 afbalance totloanamount totloanbalance repayment_201501  icfbalance  lcycle totprinamort ///
	 if subid!=. & timeid==4 & session_number>9 & inst==1 & map_id==. & TE_ball==0  // timeid=4 corresponds to week 130, which is January 30th 2015, baseline data before the savings treatment takes place

	 mat A=  e(sd) 
	 matrix rownames A= sdt1 
	 matrix list A
	 
	eststo sumQE1:  estpost sum age years_educ married ///
	 hh_size employed  roster_regular_inc back_cons back_cons_hh roster_position /// 
	 rooms_hh  toilet_hh2 elect_hh  tenure_hh  ///
	 borrow_mf_bank_amount sav_amount_1_saving_form ///
	trust_nwtf trust_lender risk_avoid betray_avoid advantage_avoid revenge offend meet_fri_neig_rel bank_dist ///
	 afbalance totloanamount totloanbalance repayment_201501  icfbalance  lcycle totprinamort ///
	 if subid!=. & timeid==4 & session_number>9 & inst==1 & map_id==. & TE_ball==1
	 mat B= e(sd)
matrix rownames B= sdt2
	matrix list B
	
	
	 
	eststo sstQE:  estpost ttest age years_educ married ///
		 hh_size employed roster_regular_inc back_cons back_cons_hh roster_position /// 
		 rooms_hh  toilet_hh2 elect_hh  tenure_hh  ///
		 borrow_mf_bank_amount sav_amount_1_saving_form ///
		trust_nwtf trust_lender risk_avoid betray_avoid advantage_avoid revenge offend meet_fri_neig_rel bank_dist ///
		 afbalance totloanamount totloanbalance repayment_201501  icfbalance  lcycle totprinamort ///
		 if subid!=. & timeid==4 & session_number>9 & inst==1 & map_id==., by(TE_ball) 
	

	
	estadd matrix A
	estadd matrix B
	
	ereturn list
	
***************TAble that goes into revision***********************************
 esttab sstQE using "$WORKING_ANALYSIS\Table 17.tex", replace ///
  cells("mu_1(fmt(1)) A mu_2 B b(star) se(par)") ///
  collabels("Mean 1" "SD 1" "Mean 2" "SD 2" "Diff." "SE" ) ///
  star(* 0.10 ** 0.05 *** 0.01) ///
  label   compress
