// created by Maria Isabel Santana
//created on: 05.07.2023

*Tables 3, 7, 8
*Figure 11, Appendix

clear all

set more off


use "$WORKING_ANALYSIS\Sample_DescStats.dta", clear

**************************Table 3*********************************************

mvtest mean age if map_id==., by(T) 
mat A1 = r(p_F)
mvtest mean years_educ if map_id==., by(T)
mat A2 = r(p_F)
mvtest mean married  if map_id==., by(T)
mat A3 = r(p_F)
mvtest mean hh_size if map_id==., by(T)
mat A4 = r(p_F)
mvtest mean employed if map_id==., by(T)
mat A5 = r(p_F)
mvtest mean roster_regular_inc if map_id==., by(T)
mat A6 = r(p_F)
mvtest mean roster_first_inc if map_id==., by(T)
mat A7 = r(p_F)
mvtest mean back_cons if map_id==., by(T)
mat A8 = r(p_F)
mvtest mean back_cons_hh if map_id==., by(T)
mat A9 = r(p_F)
mvtest mean roster_position if map_id==., by(T)
mat A10 = r(p_F)
mvtest mean rooms_hh if map_id==., by(T)
mat A11 = r(p_F)
mvtest mean floor_cem if map_id==., by(T)
mat A12 = r(p_F)
mvtest mean toilet_flush if map_id==., by(T)
mat A13 = r(p_F)
mvtest mean elect_hh if map_id==., by(T)
mat A15 = r(p_F)
mvtest mean water_drink if map_id==., by(T)
mat A16 = r(p_F)
mvtest mean tenure_hh if map_id==., by(T)
mat A17 = r(p_F)
mvtest mean borrow_mf_bank_amount if map_id==., by(T)
mat A18 = r(p_F)
mvtest mean sav_amount_1_saving_form if map_id==., by(T)
mat A19 = r(p_F)
mvtest mean trust_nwtf if map_id==., by(T)
mat A20 = r(p_F)
mvtest mean trust_lender if map_id==., by(T)
mat A21 = r(p_F)
mvtest mean risk_avoid3  if map_id==., by(T)
mat A22 = r(p_F)
mvtest mean betray_avoid5 if map_id==., by(T)
mat A23 = r(p_F)
mvtest mean advantage_avoid2 if map_id==., by(T)
mat A24 = r(p_F)
mvtest mean offend2 if map_id==., by(T)
mat A25 = r(p_F)
mvtest mean meet_fri_neig_rel if map_id==., by(T)
mat A26 = r(p_F)
mvtest mean bank_dist if map_id==., by(T)
mat A27 = r(p_F)
mvtest mean check_ever if map_id==., by(T)
mat A28 = r(p_F)
mvtest mean know_inst if map_id==., by(T)
mat A29 = r(p_F)
mvtest mean certain_debrief if map_id==., by(T)
mat A30 = r(p_F)
mvtest mean certain3_debrief if map_id==., by(T)
mat A31 = r(p_F)

matrix rownames A1 = age
matrix rownames A2 =  years_educ 
matrix rownames A3 = married 
matrix rownames A4 = hh_size 
matrix rownames A5 = employed 
matrix rownames A6 = roster_regular_inc 
matrix rownames A7 = roster_first_inc 
matrix rownames A8 = back_cons 
matrix rownames A9 = back_cons_hh 
matrix rownames A10 = roster_position  
matrix rownames A11 = rooms_hh 
matrix rownames A12 = floor_cem 
matrix rownames A13 = toilet_flush 
matrix rownames A15 = elect_hh 
matrix rownames A16 = water_drink 
matrix rownames A17 = tenure_hh 
matrix rownames A18 = borrow_mf_bank_amount 
matrix rownames A19 = sav_amount_1_saving_form 
matrix rownames A20 = trust_nwtf 
matrix rownames A21 = trust_lender 
matrix rownames A22 = risk_avoid3  
matrix rownames A23 = betray_avoid5 
matrix rownames A24 = advantage_avoid2 
matrix rownames A25 = offend2 
matrix rownames A26 = meet_fri_neig_rel 
matrix rownames A27 = bank_dist 
matrix rownames A28 = check_ever 
matrix rownames A29 = know_inst 
matrix rownames A30 = certain_debrief 
matrix rownames A31 = certain3_debrief


mat Aall = A1\A2\A3\A4\A5\A6\A7\A8\A9\A10\A11\A12\A13\A15\A16\A17\A18\A19\A20\A21\A22\A23\A24\A25\A26\A27\A28\A29\A30\A31
matrix list Aall

mat Atr = Aall'
matrix rownames Atr = r1
matrix list Atr

eststo sum_newQE:   estpost sum age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if map_id==.
mat B1= e(mean)
mat B2= e(sd)
eststo sum1_newQE:  estpost sum age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if treatment_inst=="Project Dungganon" & map_id==.
mat N1= e(mean)
mat N2= e(sd)
eststo sum2_newQE:  estpost sum age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if treatment_inst=="Money Lender" & map_id==.
mat M1= e(mean)
mat M2= e(sd)

eststo sum3_newQE:  estpost sum age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if check_first==1 & map_id==.
mat C1= e(mean)
mat C1s= e(sd)
eststo sum4_newQE:  estpost sum age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if check_first==0 & map_id==.
mat C0= e(mean)
mat C0s= e(sd)
eststo ds1_newQE:  estpost ttest age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if map_id==., by(check_first)
mat CT= e(b)
mat CTse= e(se)

eststo ds2_newQE:  estpost ttest age years_educ married hh_size employed roster_regular_inc roster_first_inc back_cons back_cons_hh roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh borrow_mf_bank_amount sav_amount_1_saving_form trust_nwtf trust_lender risk_avoid3  betray_avoid5 advantage_avoid2 offend2 meet_fri_neig_rel bank_dist check_ever know_inst certain_debrief certain3_debrief if map_id==. , by(treatment_inst)
mat NT= e(b)
mat NTse= e(se)

estadd matrix B1 
estadd matrix B2
estadd matrix N1
estadd matrix N2
estadd matrix M1 
estadd matrix M2
estadd matrix C1
estadd matrix C1s
estadd matrix C0
estadd matrix C0s
estadd matrix CT
estadd matrix CTse
estadd matrix NT
estadd matrix NTse
estadd matrix Atr

ereturn list

esttab ds2_newQE  using "$WORKING_ANALYSIS\Table3.tex", replace ///
cells("B1(fmt(2))  N1  M1 b C1 C0 CT Atr(fmt(3))" "B2(fmt(2) par) N2(fmt(2) par) M2(fmt(2) par) se(fmt(2) par) C1s(fmt(2) par) C0s(fmt(2) par) CTse(fmt(2) par)") ///  
  collabels("Full Sample" "ML" "NWTF" "ML-NWTF" "NC/C" "C/NC" "NC/C-C/NC" "(p)") ///
  star(* 0.10 ** 0.05 *** 0.01) ///
  label   compress



**F TESTS
reg inst age years_educ married hh_size employed roster_regular_inc roster_first_inc roster_position  rooms_hh floor_cem toilet_flush elect_hh water_drink tenure_hh  bank_dist if map_id==.

reg check_first age years_educ married hh_size employed roster_regular_inc roster_first_inc  roster_position rooms_hh floor_cem toilet_flush elect_hh  water_drink tenure_hh   bank_dist  if map_id==.



**************************Table 7*********************************************

eststo t1m: estpost sum invest return share_return trust_level_ppl trust_nwtf trust_lender if  map_id==.
eststo t1am: estpost sum invest return share_return trust_level_ppl trust_nwtf trust_lender if treatment_inst=="Project Dungganon" & map_id==.
eststo t1bm: estpost sum invest return share_return trust_level_ppl trust_nwtf trust_lender if treatment_inst=="Money Lender" &  map_id==.
esttab t1m t1am t1bm using "$WORKING_ANALYSIS\Table7_Columns123.tex", replace nonum label title(Summary of Trust Game and Trust Questions \label{tab15}) mtitles("NWTF treatment" "ML treatment") cells (mean(fmt(2)) sd(par fmt(2))) star (* 0.10 ** 0.05 *** 0.01) addnote("The trust survey questions are based on a 7 point likert-scale: 1-no trust, 7-complete trust")

sort treatment_inst
eststo t2xm: estpost ttest invest return share_return trust_level_ppl trust_nwtf trust_lender if map_id==., by(treatment_inst)
esttab t2xm using "$WORKING_ANALYSIS\Table7_Column4.tex", replace se nonum label title(Equality of means test: Trust Game and Trust Questions \label{tab16}) mtitles ("NWTF vs ML") cells (b(star fmt(3)) se(par fmt(3))) star (* 0.10 ** 0.05 *** 0.01) addnote("The trust survey questions are based on a 7 point likert-scale: 1-no trust, 7-complete trust")


**************************Table 8*********************************************


sum trust_nwtf trust_lender if map_id==1 & non_nwtf==1
sum trust_nwtf trust_lender if map_id==1 & non_nwtf==.


**************************Figure 11, Appendix*********************************************

label var ball "Round"
histogram ball if map_id==., width(0.5) start(0) discrete freq ///
 fcolor(black) lcolor(gs8) graphregion(color(white)) bgcolor(white) 
graph export "$WORKING_ANALYSIS\Figure11.pdf",  replace
