// created by Maria Isabel Santana
// created: 05.07.2023

// Master Do-File


set more off
* Define Working Directory

**ANALYSIS
global WORKING_ANALYSIS "C:\Trust" /*MI's Desktop*/


set more off
set processors 4


/*********************************************************************************
***********Main Paper *********************************************************

*/
/*I. Contents: Tables 3, 7, 8. Appendix Figure 11
Tables: 3-Descriptive statistics, 7-Trust game and survey questions, 8- Reported trust levels in NWTF for clients and non-clients. Appendix, figure 11: Distribution of decisions in rounds 1-54 randomly selected to be paid.*/
do "$WORKING_ANALYSIS\DescStatsQE"


/*II: Programs ML functions using Specifications 2 using multiple price list (MPL) data and 3 using Convex Budget Set Data
a. Program ML_crra_joint_mpl for CRRA estimation using Specification 2
c. Program ML_cara_joint_mpl for CARA estimation using Specification 2
program ML_ra_crra for CRRA estimation using Specification 3
program ML_ra_cara for CARA estimation using Specification 3*/

do "$WORKING_ANALYSIS\ML programs"


/*III. Contents: Tables 4, 5, 6, 9. Appendix tables: 14, 15, 16. Figure 4 and appendix figures 8, 9, 10.
Tables:  4- Equality of means test for c_t in [0, 150], 5- CRRA and CARA parameter estimates, specification 1, 6- CRRA and CARA parameters estimates, specification 2, 9- CRRA and CARA parameter estimates in ML for adjusted ct^C,
Appendix tables: 14-Proportion of corner and interior choices by interest rate, 15-Equality of means test for ct 2 [0; 150], 16-Check order effects in current allocations ct.
Figures: 4 and Appendix figures 8, 9, 10*/

do "$WORKING_ANALYSIS\final p estimation_MPL"


/*IV. Content: Table 10: Effect of future payment eligibility on savings*/
do "$WORKING_ANALYSIS\Table10_QE" 


/*********************************************************************************
***********Additional Appendix Material*********************************************************/

/*V. Conteont: Appendix Table 17: Descriptive statistics - Savings Analysis*/

do "$WORKING_ANALYSIS\Appendix_Table 17"


/*V. Content: Appendix Tables 11, 12, 13
Table 11: CRRA and CARA parameters estimates, specification 1, table 12: CRRA and CARA parameters estimates, specification 2, table 13: CRRA and CARA parameters estimates, specification 3. */
**************THIS CODE'S LAST 2 ESTIMATIONS (TABLE 13 COLUMNS 5 AND 6) TAKE A WHILE TO RUN. OUTPUTS HAVE BEEN ADDED TO DO FILE.
do "$WORKING_ANALYSIS\Appendix_Tables 11_12_13"